Available buyer market: Korean
The Rocket Growth Inventory Summary API for local Korean Rocket Warehouses allows you to retrieve inventory information of Rocket Warehouse products within Coupang’s logistics network through programmatic integration.
It returns a list of inventory summaries. The returned summary depends on whether the vendorIdItemId parameter is provided:
- If the
vendorIdItemIdparameter is omitted, the API will return inventory summaries for all items with available details. - If the
vendorIdItemIdparameter is provided, the API will return inventory summaries only for the specifiedvendorIdItemId. ThenextTokenparameter will be ignored. - If both
vendorIdandnextTokenparameters are provided, the API will return inventory summaries for all items starting from thenextToken.
Important Note:
Please limit the frequency of API calls to no more than 50 times per minute, otherwise, you may encounter errors due to excessive requests.
Path
GET
/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/inventory/summaries
Example Endpoint
https://api-gateway.coupang.com/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/inventory/summaries
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String | The seller's vendor id ( Initial with letter A, like Axxxx) | ||||
| vendorItemId | String | Used to query the inventory summary of a specific seller's SKU via a single vendorItemId. | |||||
| nextToken | String | A string token returned in the response of your previous request, used for pagination. | |||||
Request Example
Response Message
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | String | Result code: SUCCESS/ERROR | ||||
| message | String | Result message | ||||
| data | List | Valid information | ||||
| vendorId | String | A unique code assigned to the seller by Coupang | ||||
| vendorItemId | String | A unique identifier for a single product | ||||
externalSkuId | String | SKU ID defined by the seller | ||||
inventoryDetails | Inventory details for the specific SKU | |||||
| Integer | Total number of orderable units for the product | ||||
| Sales information | |||||
SALES_COUNT_LAST_THIRTY_DAYS | Integer | Number of units sold in the past 30 days | ||||
nextToken | String | Pagination token | ||||
Response Example
{ "code": 200, "message": "SUCCESS", "data": [ { "vendorId": "A00123456", "vendorItemId": 70000000000, "externalSkuId": 10012345, "inventoryDetails": { "totalOrderableQuantity": 10 }, "salesCountMap": { "SALES_COUNT_LAST_THIRTY_DAYS": 15 } }, { "vendorId": "A00123456", "vendorItemId": 70000000001, "externalSkuId": 10012346, "inventoryDetails": { "totalOrderableQuantity": 20 }, "salesCountMap": { "SALES_COUNT_LAST_THIRTY_DAYS": 25 } } ], "nextToken": "2"} |
Error Spec
| HTTP status code (error type) | Error message | How to resolve |
|---|---|---|
| 400 | Request has missing or invalid parameters and cannot be parsed.
| The request is missing parameters or contains invalid parameters and cannot be parsed. Please provide the required parameters. |
| 429 | Too Many Requests | Stop requesting and wait for a while to request again |